import "./index.esm-0G7eAEV5.js";
import { t as _sfc_main$1 } from "./SecondaryButton-ub85RH3e.js";
import { A as _sfc_main$4, O as _sfc_main$3, S as _sfc_main$2 } from "../ssr.js";
import { useForm } from "@inertiajs/vue3";
import { createTextVNode, toDisplayString, unref, useSSRContext, withCtx } from "vue";
import { ssrInterpolate, ssrRenderAttrs, ssrRenderComponent } from "vue/server-renderer";
//#region resources/js/Pages/Sma/People/Role/Form.vue
var _sfc_main = {
	__name: "Form",
	__ssrInlineRender: true,
	props: ["current"],
	emits: ["close", "done"],
	setup(__props, { emit: __emit }) {
		const props = __props;
		const emits = __emit;
		const form = useForm({
			_method: props.current?.id ? "put" : "post",
			name: props.current?.name,
			permissions: props.current?.permissions?.map((p) => p.name) || []
		});
		const updatePermissions = (v, force) => {
			if (!force && form.permissions.includes(v)) form.permissions = form.permissions.filter((r) => r != v);
			else form.permissions = [...form.permissions, v];
		};
		const close = () => {
			form.reset();
			emits("close");
		};
		const toggleAll = (e, type) => {
			const aa = document.querySelectorAll("input[type=checkbox]");
			for (let i = 0; i < aa.length; i++) if (type) {
				if (aa[i].value.includes(type) && ![
					"read-all",
					"update-all",
					"read-activity"
				].includes(aa[i].value)) updatePermissions(aa[i].value, e.target.checked);
			} else updatePermissions(aa[i].value, e.target.checked);
		};
		return (_ctx, _push, _parent, _attrs) => {
			_push(`<form${ssrRenderAttrs(_attrs)}><div class="border-b border-gray-200 px-6 py-4 dark:border-gray-700"><div class="sm:flex sm:items-baseline sm:justify-between"><div class="sm:w-0 sm:flex-1"><h1 class="text-focus text-base font-semibold">${ssrInterpolate(__props.current?.id ? _ctx.$t("Edit {x}", { x: _ctx.$t("Role") }) : _ctx.$t("Add {x}", { x: _ctx.$t("Role") }))}</h1><p class="text-mute mt-1 truncate text-sm">${ssrInterpolate(_ctx.$t("Please fill the form below to {action} {record}.", {
				record: _ctx.$t("Role"),
				action: __props.current?.id ? _ctx.$t("edit") : _ctx.$t("add")
			}))}</p></div></div></div><div class="grid grid-cols-6 gap-6 px-6 pb-6"><div class="col-span-6 sm:col-span-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$2), {
				id: "name",
				label: _ctx.$t("Name"),
				modelValue: unref(form).name,
				"onUpdate:modelValue": ($event) => unref(form).name = $event,
				error: unref(form).errors.name,
				readonly: ["Customer", "Supplier"].includes(__props.current?.name)
			}, null, _parent));
			_push(`</div><div class="col-span-6 mt-3 -mb-3 opacity-80 sm:col-span-3 xl:col-span-4">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "select-all",
				label: _ctx.$t("Check/Uncheck All"),
				onInput: toggleAll
			}, null, _parent));
			_push(`</div><div class="col-span-full -m-2 overflow-x-auto p-2"><table class="w-full"><tbody><tr><td class="pe-6 opacity-80"><div class="me-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "vall",
				onInput: (e) => toggleAll(e, "read"),
				label: _ctx.$t("View All")
			}, null, _parent));
			_push(`</div></td><td class="pe-6 opacity-80"><div class="me-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "call",
				onInput: (e) => toggleAll(e, "create"),
				label: _ctx.$t("Create All")
			}, null, _parent));
			_push(`</div></td><td class="pe-6 opacity-80"><div class="me-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "uall",
				onInput: (e) => toggleAll(e, "update"),
				label: _ctx.$t("Update All")
			}, null, _parent));
			_push(`</div></td><td class="pe-6 opacity-80"><div class="me-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "dall",
				onInput: (e) => toggleAll(e, "delete"),
				label: _ctx.$t("Delete All")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Sales"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "read-sales",
				value: "read-sales",
				label: _ctx.$t("View"),
				onInput: ($event) => updatePermissions("read-sales"),
				checked: unref(form).permissions.includes("read-sales")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-sales",
				value: "create-sales",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-sales"),
				checked: unref(form).permissions.includes("create-sales")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-sales",
				value: "update-sales",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-sales"),
				checked: unref(form).permissions.includes("update-sales")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-sales",
				value: "delete-sales",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-sales"),
				checked: unref(form).permissions.includes("delete-sales")
			}, null, _parent));
			_push(`</td></tr>`);
			if (_ctx.$page.props.pos_module) {
				_push(`<tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
				_push(ssrRenderComponent(unref(_sfc_main$3), {
					id: "read-pos",
					value: "read-pos",
					label: _ctx.$t("POS"),
					onInput: ($event) => updatePermissions("read-pos"),
					checked: unref(form).permissions.includes("read-pos")
				}, null, _parent));
				_push(ssrRenderComponent(unref(_sfc_main$3), {
					id: "read-orders",
					value: "read-orders",
					label: _ctx.$t("Orders"),
					onInput: ($event) => updatePermissions("read-orders"),
					checked: unref(form).permissions.includes("read-orders")
				}, null, _parent));
				_push(ssrRenderComponent(unref(_sfc_main$3), {
					id: "delete-order-item",
					value: "delete-order-item",
					label: _ctx.$t("Can remove order items"),
					onInput: ($event) => updatePermissions("delete-order-item"),
					checked: unref(form).permissions.includes("delete-order-item")
				}, null, _parent));
				_push(ssrRenderComponent(unref(_sfc_main$3), {
					id: "delete-orders",
					value: "delete-orders",
					onInput: ($event) => updatePermissions("delete-orders"),
					label: _ctx.$t("Delete {x}", { x: _ctx.$t("Orders") }),
					checked: unref(form).permissions.includes("delete-orders")
				}, null, _parent));
				_push(`</div></td></tr>`);
			} else _push(`<!---->`);
			_push(`<tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "email-sales",
				value: "email-sales",
				onInput: ($event) => updatePermissions("email-sales"),
				label: _ctx.$t("Email {x}", { x: _ctx.$t("Sales") }),
				checked: unref(form).permissions.includes("email-sales")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Deliveries"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-deliveries",
				value: "read-deliveries",
				onInput: ($event) => updatePermissions("read-deliveries"),
				checked: unref(form).permissions.includes("read-deliveries")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-deliveries",
				value: "create-deliveries",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-deliveries"),
				checked: unref(form).permissions.includes("create-deliveries")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-deliveries",
				value: "update-deliveries",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-deliveries"),
				checked: unref(form).permissions.includes("update-deliveries")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-deliveries",
				value: "delete-deliveries",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-deliveries"),
				checked: unref(form).permissions.includes("delete-deliveries")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Customers"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-customers",
				value: "read-customers",
				onInput: ($event) => updatePermissions("read-customers"),
				checked: unref(form).permissions.includes("read-customers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-customers",
				value: "create-customers",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-customers"),
				checked: unref(form).permissions.includes("create-customers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-customers",
				value: "update-customers",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-customers"),
				checked: unref(form).permissions.includes("update-customers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-customers",
				value: "delete-customers",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-customers"),
				checked: unref(form).permissions.includes("delete-customers")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "export-customers",
				value: "export-customers",
				onInput: ($event) => updatePermissions("export-customers"),
				label: _ctx.$t("Export {x}", { x: _ctx.$t("Customers") }),
				checked: unref(form).permissions.includes("export-customers")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "import-customers",
				value: "import-customers",
				onInput: ($event) => updatePermissions("import-customers"),
				label: _ctx.$t("Import {x}", { x: _ctx.$t("Customers") }),
				checked: unref(form).permissions.includes("import-customers")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Purchases"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-purchases",
				value: "read-purchases",
				onInput: ($event) => updatePermissions("read-purchases"),
				checked: unref(form).permissions.includes("read-purchases")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-purchases",
				value: "create-purchases",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-purchases"),
				checked: unref(form).permissions.includes("create-purchases")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-purchases",
				value: "update-purchases",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-purchases"),
				checked: unref(form).permissions.includes("update-purchases")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-purchases",
				value: "delete-purchases",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-purchases"),
				checked: unref(form).permissions.includes("delete-purchases")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "email-purchases",
				value: "email-purchases",
				onInput: ($event) => updatePermissions("email-purchases"),
				label: _ctx.$t("Email {x}", { x: _ctx.$t("Purchases") }),
				checked: unref(form).permissions.includes("email-purchases")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Suppliers"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-suppliers",
				value: "read-suppliers",
				onInput: ($event) => updatePermissions("read-suppliers"),
				checked: unref(form).permissions.includes("read-suppliers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-suppliers",
				value: "create-suppliers",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-suppliers"),
				checked: unref(form).permissions.includes("create-suppliers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-suppliers",
				value: "update-suppliers",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-suppliers"),
				checked: unref(form).permissions.includes("update-suppliers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-suppliers",
				value: "delete-suppliers",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-suppliers"),
				checked: unref(form).permissions.includes("delete-suppliers")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "export-suppliers",
				value: "export-suppliers",
				onInput: ($event) => updatePermissions("export-suppliers"),
				label: _ctx.$t("Export {x}", { x: _ctx.$t("Suppliers") }),
				checked: unref(form).permissions.includes("export-suppliers")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "import-suppliers",
				value: "import-suppliers",
				onInput: ($event) => updatePermissions("import-suppliers"),
				label: _ctx.$t("Import {x}", { x: _ctx.$t("Suppliers") }),
				checked: unref(form).permissions.includes("import-suppliers")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Payments"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-payments",
				value: "read-payments",
				onInput: ($event) => updatePermissions("read-payments"),
				checked: unref(form).permissions.includes("read-payments")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-payments",
				value: "create-payments",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-payments"),
				checked: unref(form).permissions.includes("create-payments")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-payments",
				value: "update-payments",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-payments"),
				checked: unref(form).permissions.includes("update-payments")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-payments",
				value: "delete-payments",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-payments"),
				checked: unref(form).permissions.includes("delete-payments")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "email-payments",
				value: "email-payments",
				onInput: ($event) => updatePermissions("email-payments"),
				label: _ctx.$t("Email {x}", { x: _ctx.$t("Payments") }),
				checked: unref(form).permissions.includes("email-payments")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Quotations"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-quotations",
				value: "read-quotations",
				onInput: ($event) => updatePermissions("read-quotations"),
				checked: unref(form).permissions.includes("read-quotations")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-quotations",
				value: "create-quotations",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-quotations"),
				checked: unref(form).permissions.includes("create-quotations")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-quotations",
				value: "update-quotations",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-quotations"),
				checked: unref(form).permissions.includes("update-quotations")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-quotations",
				value: "delete-quotations",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-quotations"),
				checked: unref(form).permissions.includes("delete-quotations")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "email-quotations",
				value: "email-quotations",
				onInput: ($event) => updatePermissions("email-quotations"),
				label: _ctx.$t("Email {x}", { x: _ctx.$t("Quotations") }),
				checked: unref(form).permissions.includes("email-quotations")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Expenses"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-expenses",
				value: "read-expenses",
				onInput: ($event) => updatePermissions("read-expenses"),
				checked: unref(form).permissions.includes("read-expenses")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-expenses",
				value: "create-expenses",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-expenses"),
				checked: unref(form).permissions.includes("create-expenses")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-expenses",
				value: "update-expenses",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-expenses"),
				checked: unref(form).permissions.includes("update-expenses")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-expenses",
				value: "delete-expenses",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-expenses"),
				checked: unref(form).permissions.includes("delete-expenses")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Incomes"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-incomes",
				value: "read-incomes",
				onInput: ($event) => updatePermissions("read-incomes"),
				checked: unref(form).permissions.includes("read-incomes")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-incomes",
				value: "create-incomes",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-incomes"),
				checked: unref(form).permissions.includes("create-incomes")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-incomes",
				value: "update-incomes",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-incomes"),
				checked: unref(form).permissions.includes("update-incomes")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-incomes",
				value: "delete-incomes",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-incomes"),
				checked: unref(form).permissions.includes("delete-incomes")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Return Orders"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-return-orders",
				value: "read-return-orders",
				onInput: ($event) => updatePermissions("read-return-orders"),
				checked: unref(form).permissions.includes("read-return-orders")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-return-orders",
				value: "create-return-orders",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-return-orders"),
				checked: unref(form).permissions.includes("create-return-orders")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-return-orders",
				value: "update-return-orders",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-return-orders"),
				checked: unref(form).permissions.includes("update-return-orders")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-return-orders",
				value: "delete-return-orders",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-return-orders"),
				checked: unref(form).permissions.includes("delete-return-orders")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "email-return-order",
				value: "email-return-order",
				onInput: ($event) => updatePermissions("email-return-order"),
				label: _ctx.$t("Email {x}", { x: _ctx.$t("Return Order") }),
				checked: unref(form).permissions.includes("email-return-order")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Repair Orders"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-repair-orders",
				value: "read-repair-orders",
				onInput: ($event) => updatePermissions("read-repair-orders"),
				checked: unref(form).permissions.includes("read-repair-orders")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-repair-orders",
				value: "create-repair-orders",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-repair-orders"),
				checked: unref(form).permissions.includes("create-repair-orders")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-repair-orders",
				value: "update-repair-orders",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-repair-orders"),
				checked: unref(form).permissions.includes("update-repair-orders")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-repair-orders",
				value: "delete-repair-orders",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-repair-orders"),
				checked: unref(form).permissions.includes("delete-repair-orders")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "email-repair-order",
				value: "email-repair-order",
				onInput: ($event) => updatePermissions("email-repair-order"),
				label: _ctx.$t("Email {x}", { x: _ctx.$t("Repair Order") }),
				checked: unref(form).permissions.includes("email-repair-order")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Technicians"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-technicians",
				value: "read-technicians",
				onInput: ($event) => updatePermissions("read-technicians"),
				checked: unref(form).permissions.includes("read-technicians")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-technicians",
				value: "create-technicians",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-technicians"),
				checked: unref(form).permissions.includes("create-technicians")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-technicians",
				value: "update-technicians",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-technicians"),
				checked: unref(form).permissions.includes("update-technicians")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-technicians",
				value: "delete-technicians",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-technicians"),
				checked: unref(form).permissions.includes("delete-technicians")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Service Types"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-service-types",
				value: "read-service-types",
				onInput: ($event) => updatePermissions("read-service-types"),
				checked: unref(form).permissions.includes("read-service-types")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-service-types",
				value: "create-service-types",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-service-types"),
				checked: unref(form).permissions.includes("create-service-types")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-service-types",
				value: "update-service-types",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-service-types"),
				checked: unref(form).permissions.includes("update-service-types")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-service-types",
				value: "delete-service-types",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-service-types"),
				checked: unref(form).permissions.includes("delete-service-types")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Gift Cards"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-gift-cards",
				value: "read-gift-cards",
				onInput: ($event) => updatePermissions("read-gift-cards"),
				checked: unref(form).permissions.includes("read-gift-cards")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-gift-cards",
				value: "create-gift-cards",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-gift-cards"),
				checked: unref(form).permissions.includes("create-gift-cards")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-gift-cards",
				value: "update-gift-cards",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-gift-cards"),
				checked: unref(form).permissions.includes("update-gift-cards")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-gift-cards",
				value: "delete-gift-cards",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-gift-cards"),
				checked: unref(form).permissions.includes("delete-gift-cards")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Products"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-products",
				value: "read-products",
				onInput: ($event) => updatePermissions("read-products"),
				checked: unref(form).permissions.includes("read-products")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-products",
				value: "create-products",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-products"),
				checked: unref(form).permissions.includes("create-products")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-products",
				value: "update-products",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-products"),
				checked: unref(form).permissions.includes("update-products")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-products",
				value: "delete-products",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-products"),
				checked: unref(form).permissions.includes("delete-products")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "show-cost",
				value: "show-cost",
				label: _ctx.$t("Show Cost"),
				onInput: ($event) => updatePermissions("show-cost")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "read-labels",
				value: "read-labels",
				onInput: ($event) => updatePermissions("read-labels"),
				checked: unref(form).permissions.includes("read-labels"),
				label: _ctx.$t("Print {x}", { x: _ctx.$t("Barcode/Labels") })
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "export-products",
				value: "export-products",
				onInput: ($event) => updatePermissions("export-products"),
				label: _ctx.$t("Export {x}", { x: _ctx.$t("Products") }),
				checked: unref(form).permissions.includes("export-products")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "import-products",
				value: "import-products",
				onInput: ($event) => updatePermissions("import-products"),
				label: _ctx.$t("Import {x}", { x: _ctx.$t("Products") }),
				checked: unref(form).permissions.includes("import-products")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Stock Counts"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-stock-counts",
				value: "read-stock-counts",
				onInput: ($event) => updatePermissions("read-stock-counts"),
				checked: unref(form).permissions.includes("read-stock-counts")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-stock-counts",
				value: "create-stock-counts",
				label: _ctx.$t("Initiate"),
				onInput: ($event) => updatePermissions("create-stock-counts"),
				checked: unref(form).permissions.includes("create-stock-counts")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-stock-counts",
				value: "update-stock-counts",
				label: _ctx.$t("Complete"),
				onInput: ($event) => updatePermissions("update-stock-counts"),
				checked: unref(form).permissions.includes("update-stock-counts")
			}, null, _parent));
			_push(`</td><td class="pe-6"></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Adjustments"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-adjustments",
				value: "read-adjustments",
				onInput: ($event) => updatePermissions("read-adjustments"),
				checked: unref(form).permissions.includes("read-adjustments")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-adjustments",
				value: "create-adjustments",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-adjustments"),
				checked: unref(form).permissions.includes("create-adjustments")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-adjustments",
				value: "update-adjustments",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-adjustments"),
				checked: unref(form).permissions.includes("update-adjustments")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-adjustments",
				value: "delete-adjustments",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-adjustments"),
				checked: unref(form).permissions.includes("delete-adjustments")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Transfers"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-transfers",
				value: "read-transfers",
				onInput: ($event) => updatePermissions("read-transfers"),
				checked: unref(form).permissions.includes("read-transfers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-transfers",
				value: "create-transfers",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-transfers"),
				checked: unref(form).permissions.includes("create-transfers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-transfers",
				value: "update-transfers",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-transfers"),
				checked: unref(form).permissions.includes("update-transfers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-transfers",
				value: "delete-transfers",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-transfers"),
				checked: unref(form).permissions.includes("delete-transfers")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Promotions"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-promotions",
				value: "read-promotions",
				onInput: ($event) => updatePermissions("read-promotions"),
				checked: unref(form).permissions.includes("read-promotions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-promotions",
				value: "create-promotions",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-promotions"),
				checked: unref(form).permissions.includes("create-promotions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-promotions",
				value: "update-promotions",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-promotions"),
				checked: unref(form).permissions.includes("update-promotions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-promotions",
				value: "delete-promotions",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-promotions"),
				checked: unref(form).permissions.includes("delete-promotions")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Brands"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-brands",
				value: "read-brands",
				onInput: ($event) => updatePermissions("read-brands"),
				checked: unref(form).permissions.includes("read-brands")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-brands",
				value: "create-brands",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-brands"),
				checked: unref(form).permissions.includes("create-brands")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-brands",
				value: "update-brands",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-brands"),
				checked: unref(form).permissions.includes("update-brands")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-brands",
				value: "delete-brands",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-brands"),
				checked: unref(form).permissions.includes("delete-brands")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "export-brands",
				value: "export-brands",
				onInput: ($event) => updatePermissions("export-brands"),
				label: _ctx.$t("Export {x}", { x: _ctx.$t("Brands") }),
				checked: unref(form).permissions.includes("export-brands")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "import-brands",
				value: "import-brands",
				onInput: ($event) => updatePermissions("import-brands"),
				label: _ctx.$t("Import {x}", { x: _ctx.$t("Brands") }),
				checked: unref(form).permissions.includes("import-brands")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Categories"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-categories",
				value: "read-categories",
				onInput: ($event) => updatePermissions("read-categories"),
				checked: unref(form).permissions.includes("read-categories")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-categories",
				value: "create-categories",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-categories"),
				checked: unref(form).permissions.includes("create-categories")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-categories",
				value: "update-categories",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-categories"),
				checked: unref(form).permissions.includes("update-categories")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-categories",
				value: "delete-categories",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-categories"),
				checked: unref(form).permissions.includes("delete-categories")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "export-categories",
				value: "export-categories",
				onInput: ($event) => updatePermissions("export-categories"),
				label: _ctx.$t("Export {x}", { x: _ctx.$t("Categories") }),
				checked: unref(form).permissions.includes("export-categories")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "import-categories",
				value: "import-categories",
				onInput: ($event) => updatePermissions("import-categories"),
				label: _ctx.$t("Import {x}", { x: _ctx.$t("Categories") }),
				checked: unref(form).permissions.includes("import-categories")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Units"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-units",
				value: "read-units",
				onInput: ($event) => updatePermissions("read-units"),
				checked: unref(form).permissions.includes("read-units")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-units",
				value: "create-units",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-units"),
				checked: unref(form).permissions.includes("create-units")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-units",
				value: "update-units",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-units"),
				checked: unref(form).permissions.includes("update-units")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-units",
				value: "delete-units",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-units"),
				checked: unref(form).permissions.includes("delete-units")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Restaurant"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View Halls"),
				id: "read-halls",
				value: "read-halls",
				onInput: ($event) => updatePermissions("read-halls"),
				checked: unref(form).permissions.includes("read-halls")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-halls",
				value: "create-halls",
				label: _ctx.$t("Create Halls"),
				onInput: ($event) => updatePermissions("create-halls"),
				checked: unref(form).permissions.includes("create-halls")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-halls",
				value: "update-halls",
				label: _ctx.$t("Update Halls"),
				onInput: ($event) => updatePermissions("update-halls"),
				checked: unref(form).permissions.includes("update-halls")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-halls",
				value: "delete-halls",
				label: _ctx.$t("Delete Halls"),
				onInput: ($event) => updatePermissions("delete-halls"),
				checked: unref(form).permissions.includes("delete-halls")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View Tables"),
				id: "read-tables",
				value: "read-tables",
				onInput: ($event) => updatePermissions("read-tables"),
				checked: unref(form).permissions.includes("read-tables")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-tables",
				value: "create-tables",
				label: _ctx.$t("Create Tables"),
				onInput: ($event) => updatePermissions("create-tables"),
				checked: unref(form).permissions.includes("create-tables")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-tables",
				value: "update-tables",
				label: _ctx.$t("Update Tables"),
				onInput: ($event) => updatePermissions("update-tables"),
				checked: unref(form).permissions.includes("update-tables")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-tables",
				value: "delete-tables",
				label: _ctx.$t("Delete Tables"),
				onInput: ($event) => updatePermissions("delete-tables"),
				checked: unref(form).permissions.includes("delete-tables")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Taxes"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-taxes",
				value: "read-taxes",
				onInput: ($event) => updatePermissions("read-taxes"),
				checked: unref(form).permissions.includes("read-taxes")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-taxes",
				value: "create-taxes",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-taxes"),
				checked: unref(form).permissions.includes("create-taxes")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-taxes",
				value: "update-taxes",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-taxes"),
				checked: unref(form).permissions.includes("update-taxes")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-taxes",
				value: "delete-taxes",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-taxes"),
				checked: unref(form).permissions.includes("delete-taxes")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Accounts"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-accounts",
				value: "read-accounts",
				onInput: ($event) => updatePermissions("read-accounts"),
				checked: unref(form).permissions.includes("read-accounts")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-accounts",
				value: "create-accounts",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-accounts"),
				checked: unref(form).permissions.includes("create-accounts")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-accounts",
				value: "update-accounts",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-accounts"),
				checked: unref(form).permissions.includes("update-accounts")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-accounts",
				value: "delete-accounts",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-accounts"),
				checked: unref(form).permissions.includes("delete-accounts")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Account Transactions"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-account-transactions",
				value: "read-account-transactions",
				onInput: ($event) => updatePermissions("read-account-transactions"),
				checked: unref(form).permissions.includes("read-account-transactions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-account-transactions",
				value: "create-account-transactions",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-account-transactions"),
				checked: unref(form).permissions.includes("create-account-transactions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-account-transactions",
				value: "update-account-transactions",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-account-transactions"),
				checked: unref(form).permissions.includes("update-account-transactions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-account-transactions",
				value: "delete-account-transactions",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-account-transactions"),
				checked: unref(form).permissions.includes("delete-account-transactions")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Stores"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-stores",
				value: "read-stores",
				onInput: ($event) => updatePermissions("read-stores"),
				checked: unref(form).permissions.includes("read-stores")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-stores",
				value: "create-stores",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-stores"),
				checked: unref(form).permissions.includes("create-stores")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-stores",
				value: "update-stores",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-stores"),
				checked: unref(form).permissions.includes("update-stores")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-stores",
				value: "delete-stores",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-stores"),
				checked: unref(form).permissions.includes("delete-stores")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Custom Fields"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-custom-fields",
				value: "read-custom-fields",
				onInput: ($event) => updatePermissions("read-custom-fields"),
				checked: unref(form).permissions.includes("read-custom-fields")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-custom-fields",
				value: "create-custom-fields",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-custom-fields"),
				checked: unref(form).permissions.includes("create-custom-fields")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-custom-fields",
				value: "update-custom-fields",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-custom-fields"),
				checked: unref(form).permissions.includes("update-custom-fields")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-custom-fields",
				value: "delete-custom-fields",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-custom-fields"),
				checked: unref(form).permissions.includes("delete-custom-fields")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Users"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-users",
				value: "read-users",
				onInput: ($event) => updatePermissions("read-users"),
				checked: unref(form).permissions.includes("read-users")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-users",
				value: "create-users",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-users"),
				checked: unref(form).permissions.includes("create-users")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-users",
				value: "update-users",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-users"),
				checked: unref(form).permissions.includes("update-users")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-users",
				value: "delete-users",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-users"),
				checked: unref(form).permissions.includes("delete-users")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Roles"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-roles",
				value: "read-roles",
				onInput: ($event) => updatePermissions("read-roles"),
				checked: unref(form).permissions.includes("read-roles")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-roles",
				value: "create-roles",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-roles"),
				checked: unref(form).permissions.includes("create-roles")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-roles",
				value: "update-roles",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-roles"),
				checked: unref(form).permissions.includes("update-roles")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-roles",
				value: "delete-roles",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-roles"),
				checked: unref(form).permissions.includes("delete-roles")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Customer Groups"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-customer-groups",
				value: "read-customer-groups",
				onInput: ($event) => updatePermissions("read-customer-groups"),
				checked: unref(form).permissions.includes("read-customer-groups")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-customer-groups",
				value: "create-customer-groups",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-customer-groups"),
				checked: unref(form).permissions.includes("create-customer-groups")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-customer-groups",
				value: "update-customer-groups",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-customer-groups"),
				checked: unref(form).permissions.includes("update-customer-groups")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-customer-groups",
				value: "delete-customer-groups",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-customer-groups"),
				checked: unref(form).permissions.includes("delete-customer-groups")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Price Groups"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-price-groups",
				value: "read-price-groups",
				onInput: ($event) => updatePermissions("read-price-groups"),
				checked: unref(form).permissions.includes("read-price-groups")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-price-groups",
				value: "create-price-groups",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-price-groups"),
				checked: unref(form).permissions.includes("create-price-groups")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-price-groups",
				value: "update-price-groups",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-price-groups"),
				checked: unref(form).permissions.includes("update-price-groups")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-price-groups",
				value: "delete-price-groups",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-price-groups"),
				checked: unref(form).permissions.includes("delete-price-groups")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Accounts"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-accounts",
				value: "read-accounts",
				onInput: ($event) => updatePermissions("read-accounts"),
				checked: unref(form).permissions.includes("read-accounts")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-accounts",
				value: "create-accounts",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-accounts"),
				checked: unref(form).permissions.includes("create-accounts")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-accounts",
				value: "update-accounts",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-accounts"),
				checked: unref(form).permissions.includes("update-accounts")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-accounts",
				value: "delete-accounts",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-accounts"),
				checked: unref(form).permissions.includes("delete-accounts")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Account Types"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-account-types",
				value: "read-account-types",
				onInput: ($event) => updatePermissions("read-account-types"),
				checked: unref(form).permissions.includes("read-account-types")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-account-types",
				value: "create-account-types",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-account-types"),
				checked: unref(form).permissions.includes("create-account-types")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-account-types",
				value: "update-account-types",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-account-types"),
				checked: unref(form).permissions.includes("update-account-types")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-account-types",
				value: "delete-account-types",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-account-types"),
				checked: unref(form).permissions.includes("delete-account-types")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Account Transactions"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-account-transactions",
				value: "read-account-transactions",
				onInput: ($event) => updatePermissions("read-account-transactions"),
				checked: unref(form).permissions.includes("read-account-transactions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-account-transactions",
				value: "create-account-transactions",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-account-transactions"),
				checked: unref(form).permissions.includes("create-account-transactions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-account-transactions",
				value: "update-account-transactions",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-account-transactions"),
				checked: unref(form).permissions.includes("update-account-transactions")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-account-transactions",
				value: "delete-account-transactions",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-account-transactions"),
				checked: unref(form).permissions.includes("delete-account-transactions")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Account Transfers"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-account-transfers",
				value: "read-account-transfers",
				onInput: ($event) => updatePermissions("read-account-transfers"),
				checked: unref(form).permissions.includes("read-account-transfers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-account-transfers",
				value: "create-account-transfers",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-account-transfers"),
				checked: unref(form).permissions.includes("create-account-transfers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-account-transfers",
				value: "update-account-transfers",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-account-transfers"),
				checked: unref(form).permissions.includes("update-account-transfers")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-account-transfers",
				value: "delete-account-transfers",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-account-transfers"),
				checked: unref(form).permissions.includes("delete-account-transfers")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Assets"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-assets",
				value: "read-assets",
				onInput: ($event) => updatePermissions("read-assets"),
				checked: unref(form).permissions.includes("read-assets")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-assets",
				value: "create-assets",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-assets"),
				checked: unref(form).permissions.includes("create-assets")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-assets",
				value: "update-assets",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-assets"),
				checked: unref(form).permissions.includes("update-assets")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-assets",
				value: "delete-assets",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-assets"),
				checked: unref(form).permissions.includes("delete-assets")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Asset Categories"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-asset-categories",
				value: "read-asset-categories",
				onInput: ($event) => updatePermissions("read-asset-categories"),
				checked: unref(form).permissions.includes("read-asset-categories")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-asset-categories",
				value: "create-asset-categories",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-asset-categories"),
				checked: unref(form).permissions.includes("create-asset-categories")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-asset-categories",
				value: "update-asset-categories",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-asset-categories"),
				checked: unref(form).permissions.includes("update-asset-categories")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-asset-categories",
				value: "delete-asset-categories",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-asset-categories"),
				checked: unref(form).permissions.includes("delete-asset-categories")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Asset Allocations"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-asset-allocations",
				value: "read-asset-allocations",
				onInput: ($event) => updatePermissions("read-asset-allocations"),
				checked: unref(form).permissions.includes("read-asset-allocations")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-asset-allocations",
				value: "create-asset-allocations",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-asset-allocations"),
				checked: unref(form).permissions.includes("create-asset-allocations")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-asset-allocations",
				value: "update-asset-allocations",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-asset-allocations"),
				checked: unref(form).permissions.includes("update-asset-allocations")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-asset-allocations",
				value: "delete-asset-allocations",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-asset-allocations"),
				checked: unref(form).permissions.includes("delete-asset-allocations")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Asset Maintenances"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-asset-maintenances",
				value: "read-asset-maintenances",
				onInput: ($event) => updatePermissions("read-asset-maintenances"),
				checked: unref(form).permissions.includes("read-asset-maintenances")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-asset-maintenances",
				value: "create-asset-maintenances",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-asset-maintenances"),
				checked: unref(form).permissions.includes("create-asset-maintenances")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-asset-maintenances",
				value: "update-asset-maintenances",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-asset-maintenances"),
				checked: unref(form).permissions.includes("update-asset-maintenances")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-asset-maintenances",
				value: "delete-asset-maintenances",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-asset-maintenances"),
				checked: unref(form).permissions.includes("delete-asset-maintenances")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Employees"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-employees",
				value: "read-employees",
				onInput: ($event) => updatePermissions("read-employees"),
				checked: unref(form).permissions.includes("read-employees")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-employees",
				value: "create-employees",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-employees"),
				checked: unref(form).permissions.includes("create-employees")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-employees",
				value: "update-employees",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-employees"),
				checked: unref(form).permissions.includes("update-employees")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-employees",
				value: "delete-employees",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-employees"),
				checked: unref(form).permissions.includes("delete-employees")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Leaves"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-leaves",
				value: "read-leaves",
				onInput: ($event) => updatePermissions("read-leaves"),
				checked: unref(form).permissions.includes("read-leaves")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-leaves",
				value: "create-leaves",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-leaves"),
				checked: unref(form).permissions.includes("create-leaves")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-leaves",
				value: "update-leaves",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-leaves"),
				checked: unref(form).permissions.includes("update-leaves")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-leaves",
				value: "delete-leaves",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-leaves"),
				checked: unref(form).permissions.includes("delete-leaves")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "approve-leaves",
				value: "approve-leaves",
				onInput: ($event) => updatePermissions("approve-leaves"),
				label: _ctx.$t("Approve {x}", { x: _ctx.$t("Leaves") }),
				checked: unref(form).permissions.includes("approve-leaves")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Attendances"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-attendances",
				value: "read-attendances",
				onInput: ($event) => updatePermissions("read-attendances"),
				checked: unref(form).permissions.includes("read-attendances")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-attendances",
				value: "create-attendances",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-attendances"),
				checked: unref(form).permissions.includes("create-attendances")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-attendances",
				value: "update-attendances",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-attendances"),
				checked: unref(form).permissions.includes("update-attendances")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-attendances",
				value: "delete-attendances",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-attendances"),
				checked: unref(form).permissions.includes("delete-attendances")
			}, null, _parent));
			_push(`</td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Claims"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-claims",
				value: "read-claims",
				onInput: ($event) => updatePermissions("read-claims"),
				checked: unref(form).permissions.includes("read-claims")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-claims",
				value: "create-claims",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-claims"),
				checked: unref(form).permissions.includes("create-claims")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-claims",
				value: "update-claims",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-claims"),
				checked: unref(form).permissions.includes("update-claims")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-claims",
				value: "delete-claims",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-claims"),
				checked: unref(form).permissions.includes("delete-claims")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "approve-claims",
				value: "approve-claims",
				onInput: ($event) => updatePermissions("approve-claims"),
				label: _ctx.$t("Approve {x}", { x: _ctx.$t("Claims") }),
				checked: unref(form).permissions.includes("approve-claims")
			}, null, _parent));
			_push(`</div></td></tr><tr><td colspan="5" class="pt-8 pb-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Payrolls"))}</label></td></tr><tr><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("View"),
				id: "read-payrolls",
				value: "read-payrolls",
				onInput: ($event) => updatePermissions("read-payrolls"),
				checked: unref(form).permissions.includes("read-payrolls")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "create-payrolls",
				value: "create-payrolls",
				label: _ctx.$t("Create"),
				onInput: ($event) => updatePermissions("create-payrolls"),
				checked: unref(form).permissions.includes("create-payrolls")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-payrolls",
				value: "update-payrolls",
				label: _ctx.$t("Update"),
				onInput: ($event) => updatePermissions("update-payrolls"),
				checked: unref(form).permissions.includes("update-payrolls")
			}, null, _parent));
			_push(`</td><td class="pe-6">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "delete-payrolls",
				value: "delete-payrolls",
				label: _ctx.$t("Delete"),
				onInput: ($event) => updatePermissions("delete-payrolls"),
				checked: unref(form).permissions.includes("delete-payrolls")
			}, null, _parent));
			_push(`</td></tr><tr><td class="pe-6 pt-3" colspan="100%"><div class="flex flex-wrap items-center gap-x-6 gap-y-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "mark-paid-payrolls",
				value: "mark-paid-payrolls",
				onInput: ($event) => updatePermissions("mark-paid-payrolls"),
				label: _ctx.$t("Mark {x} as Paid", { x: _ctx.$t("Payrolls") }),
				checked: unref(form).permissions.includes("mark-paid-payrolls")
			}, null, _parent));
			_push(`</div></td></tr></tbody></table><div class="mt-8 flex flex-wrap items-center gap-x-6 gap-y-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Settings"))}</label>`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				value: "settings",
				label: _ctx.$t("Settings"),
				id: "settings-permissions",
				onInput: ($event) => updatePermissions("settings"),
				checked: unref(form).permissions.includes("settings")
			}, null, _parent));
			_push(`</div><div class="mt-8 flex flex-wrap items-center gap-x-6 gap-y-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Others"))}</label>`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "see-dashboard",
				value: "see-dashboard",
				label: _ctx.$t("Dashboard"),
				onInput: ($event) => updatePermissions("see-dashboard"),
				checked: unref(form).permissions.includes("see-dashboard")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "read-all",
				value: "read-all",
				label: _ctx.$t("Read all records"),
				onInput: ($event) => updatePermissions("read-all"),
				checked: unref(form).permissions.includes("read-all")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "update-all",
				value: "update-all",
				label: _ctx.$t("Update all records"),
				onInput: ($event) => updatePermissions("update-all"),
				checked: unref(form).permissions.includes("update-all")
			}, null, _parent));
			_push(`</div><div class="mt-8 flex flex-wrap items-center gap-x-6 gap-y-3"><label class="block w-full font-bold">${ssrInterpolate(_ctx.$t("Reports"))}</label>`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "sales-report",
				value: "sales-report",
				onInput: ($event) => updatePermissions("sales-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Sales") }),
				checked: unref(form).permissions.includes("sales-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "profit_loss-report",
				value: "profit_loss-report",
				onInput: ($event) => updatePermissions("profit_loss-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Profit & Loss") }),
				checked: unref(form).permissions.includes("profit_loss-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "inventory_accounting-report",
				value: "inventory_accounting-report",
				onInput: ($event) => updatePermissions("inventory_accounting-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Inventory Accounting") }),
				checked: unref(form).permissions.includes("inventory_accounting-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "purchases-report",
				value: "purchases-report",
				onInput: ($event) => updatePermissions("purchases-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Purchases") }),
				checked: unref(form).permissions.includes("purchases-report")
			}, null, _parent));
			if (_ctx.$page.props.pos_module) _push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "registers-report",
				value: "registers-report",
				onInput: ($event) => updatePermissions("registers-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Registers") }),
				checked: unref(form).permissions.includes("registers-report")
			}, null, _parent));
			else _push(`<!---->`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "payments-report",
				value: "payments-report",
				onInput: ($event) => updatePermissions("payments-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Payments") }),
				checked: unref(form).permissions.includes("payments-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "expenses-report",
				value: "expenses-report",
				onInput: ($event) => updatePermissions("expenses-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Expenses") }),
				checked: unref(form).permissions.includes("expenses-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "return-orders-report",
				value: "return-orders-report",
				onInput: ($event) => updatePermissions("return-orders-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Return Orders") }),
				checked: unref(form).permissions.includes("return-orders-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "products-report",
				value: "products-report",
				onInput: ($event) => updatePermissions("products-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Products") }),
				checked: unref(form).permissions.includes("products-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "categories-report",
				value: "categories-report",
				onInput: ($event) => updatePermissions("categories-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Categories") }),
				checked: unref(form).permissions.includes("categories-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "adjustments-report",
				value: "adjustments-report",
				onInput: ($event) => updatePermissions("adjustments-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Adjustments") }),
				checked: unref(form).permissions.includes("adjustments-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "transfers-report",
				value: "transfers-report",
				onInput: ($event) => updatePermissions("transfers-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Transfers") }),
				checked: unref(form).permissions.includes("transfers-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "customers-report",
				value: "customers-report",
				onInput: ($event) => updatePermissions("customers-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Customers") }),
				checked: unref(form).permissions.includes("customers-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "staff-report",
				value: "staff-report",
				onInput: ($event) => updatePermissions("staff-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Staff") }),
				checked: unref(form).permissions.includes("staff-report")
			}, null, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "activities-report",
				value: "activities-report",
				onInput: ($event) => updatePermissions("activities-report"),
				label: _ctx.$t("{x} Report", { x: _ctx.$t("Activities") }),
				checked: unref(form).permissions.includes("activities-report")
			}, null, _parent));
			_push(`</div></div></div><div class="flex flex-row justify-end rounded-b-lg bg-gray-100 px-6 py-4 text-end dark:bg-gray-950">`);
			_push(ssrRenderComponent(unref(_sfc_main$1), { onClick: close }, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Cancel"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Cancel")), 1)];
				}),
				_: 1
			}, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$4), {
				class: "ms-3",
				loading: unref(form).processing
			}, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Save"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Save")), 1)];
				}),
				_: 1
			}, _parent));
			_push(`</div></form>`);
		};
	}
};
var _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Sma/People/Role/Form.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
//#endregion
export { _sfc_main as default };
